summaryrefslogtreecommitdiff
path: root/libre/pacman/9002-pacman-key-updatedb.patch
blob: 97a7c3378b08e457b687944e4b30889fb45ccb5b (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
this helps to ensure that an expired key will be trusted again,
immediately after the updated keyring package is installed

diff --git a/scripts/pacman-key.sh.in b/scripts/pacman-key.sh.in
index f7f1dd6..c5fb73f 100644
--- a/scripts/pacman-key.sh.in
+++ b/scripts/pacman-key.sh.in
@@ -599,7 +599,8 @@ verify_sig() {
 
 updatedb() {
 	msg "$(gettext "Updating trust database...")"
-	if ! "${GPG_PACMAN[@]}" --batch --check-trustdb ; then
+	# --yes forces regeneration of trustdb, allowing expired keys to be trusted again
+	if ! "${GPG_PACMAN[@]}" --batch --check-trustdb --yes ; then
 		error "$(gettext "Trust database could not be updated.")"
 		exit 1
 	fi